### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.discovery

# Class ServiceNotAvailableException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.discovery.ServiceNotAvailableException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServiceNotAvailableException extends ServiceException implements Serializable
Service is not available exception. This exception is thrown by the Discovery Service in the event that it is unable to locate a deployed service satisfying the requested service template.

Use `getServiceTemplate()` to retrieve the requested service template.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceNotAvailableException()`
  Constructs an instance using a default exception message.
  `ServiceNotAvailableException(ServiceTemplate serviceTemplate)`
  Constructs an instance using the service template for which a service was not available.
  `ServiceNotAvailableException(ServiceTemplate serviceTemplate, Throwable throwable)`
  Constructs an instance by specifying a message and `Throwable`.
  `ServiceNotAvailableException(String message)`
  Constructs an instance using the specified exception message.
  `ServiceNotAvailableException(String message, ServiceTemplate serviceTemplate)`
  Constructs an instance using the specified message and service template for which a service was not available.
  `ServiceNotAvailableException(String message, Throwable throwable, ServiceTemplate serviceTemplate)`
  Constructs an instance by specifying a message, `Throwable`, and service template for which a service was not available.
  `ServiceNotAvailableException(Throwable throwable, String message)`
  Constructs an instance by specifying a message and `Throwable`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final String`
  `getMessage()`
  Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.
  `final ServiceTemplate`
  `getServiceTemplate()`
  Gets the service capabilities that were sought, but not available.

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException()
    Constructs an instance using a default exception message.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(String message)
    Constructs an instance using the specified exception message.
    Parameters:
      `message` - Exception message.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(Throwable throwable, String message)
    Constructs an instance by specifying a message and `Throwable`.
    Parameters:
      `throwable` - Throwable that caused the exception.
      `message` - Exception's message.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(ServiceTemplate serviceTemplate)
    Constructs an instance using the service template for which a service was not available.
    Parameters:
      `serviceTemplate` - Service template that was requested, but not available.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(String message, ServiceTemplate serviceTemplate)
    Constructs an instance using the specified message and service template for which a service was not available.
    Parameters:
      `message` - Message detailing the exception.
      `serviceTemplate` - Service template that was requested, but not available.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(ServiceTemplate serviceTemplate, Throwable throwable)
    Constructs an instance by specifying a message and `Throwable`.
    Parameters:
      `serviceTemplate` - Service template that was requested, but not available.
      `throwable` - Throwable that caused the exception.

  - ### ServiceNotAvailableException

    public ServiceNotAvailableException(String message, Throwable throwable, ServiceTemplate serviceTemplate)
    Constructs an instance by specifying a message, `Throwable`, and service template for which a service was not available.
    Parameters:
      `message` - Exception's message.
      `throwable` - Throwable that caused the exception.
      `serviceTemplate` - Service template that was requested, but not available.

- ## Method Details

  - ### getServiceTemplate

    public final ServiceTemplate getServiceTemplate()
    Gets the service capabilities that were sought, but not available.
    Returns:
      Service template that was requested, but not available.

  - ### getMessage

    public final String getMessage()
    Gets an exception message detailing the service template that was desired, but not found in the currently deployed services.
    Overrides:
      `getMessage` in class `Throwable`
    Returns:
      Message